import { AlfrescoApiService, AppConfigService, LogService } from '@alfresco/adf-core';
import { Observable } from 'rxjs';
import { AspectEntry, AspectsApi } from '@alfresco/js-api';
import * as i0 from "@angular/core";
export declare class AspectListService {
    private alfrescoApiService;
    private appConfigService;
    private logService;
    private _aspectsApi;
    get aspectsApi(): AspectsApi;
    constructor(alfrescoApiService: AlfrescoApiService, appConfigService: AppConfigService, logService: LogService);
    getAspects(): Observable<AspectEntry[]>;
    getStandardAspects(whiteList: string[]): Observable<AspectEntry[]>;
    getCustomAspects(whiteList?: string[]): Observable<AspectEntry[]>;
    private filterAspectByConfig;
    getVisibleAspects(): string[];
    static ɵfac: i0.ɵɵFactoryDeclaration<AspectListService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<AspectListService>;
}
