import { MatDialog } from '@angular/material/dialog';
import { Observable } from 'rxjs';
import { OverlayContainer } from '@angular/cdk/overlay';
import { TagService } from '../../tag';
import { CategoryService } from '../../category';
import * as i0 from "@angular/core";
export declare class DialogAspectListService {
    private dialog;
    private overlayContainer;
    private tagService;
    private categoryService;
    constructor(dialog: MatDialog, overlayContainer: OverlayContainer, tagService: TagService, categoryService: CategoryService);
    openAspectListDialog(nodeId?: string, selectorAutoFocusedOnClose?: string): Observable<string[]>;
    private openDialog;
    close(): void;
    private focusOnClose;
    static ɵfac: i0.ɵɵFactoryDeclaration<DialogAspectListService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<DialogAspectListService>;
}
