import { AppConfigService, LogService } from '@alfresco/adf-core';
import { PresetConfig, ContentMetadataConfig } from '../../interfaces/content-metadata.interfaces';
import * as i0 from "@angular/core";
export declare class ContentMetadataConfigFactory {
    private appConfigService;
    private logService;
    constructor(appConfigService: AppConfigService, logService: LogService);
    get(presetName?: string): ContentMetadataConfig;
    createConfig(presetConfig: PresetConfig): ContentMetadataConfig;
    private isAspectOrientedPreset;
    private isLayoutOrientedPreset;
    private isObject;
    static ɵfac: i0.ɵɵFactoryDeclaration<ContentMetadataConfigFactory, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ContentMetadataConfigFactory>;
}
