import { MatDialog } from '@angular/material/dialog';
import { CardViewItem } from '@alfresco/adf-core';
import { Observable } from 'rxjs';
import { ContentTypeService } from '../../content-type/content-type.service';
import { Node, Property } from '@alfresco/js-api';
import { PropertyGroupTranslatorService } from './property-groups-translator.service';
import { VersionCompatibilityService } from '../../version-compatibility/version-compatibility.service';
import * as i0 from "@angular/core";
export declare class ContentTypePropertiesService {
    private contentTypeService;
    private dialog;
    private versionCompatibilityService;
    private propertyGroupTranslatorService;
    constructor(contentTypeService: ContentTypeService, dialog: MatDialog, versionCompatibilityService: VersionCompatibilityService, propertyGroupTranslatorService: PropertyGroupTranslatorService);
    getContentTypeCardItem(node: Node): Observable<CardViewItem[]>;
    buildCardItemsFromPropertyList(properties: Property[], currentProperties: any): CardViewItem[];
    private buildCardItemFromProperty;
    private getContentTypeSpecificProperties;
    private buildContentTypeTextCardModel;
    private buildContentTypeSelectCardModel;
    private getContentTypesAsSelectOption;
    private appendCurrentType;
    openContentTypeDialogConfirm(nodeType: any): Observable<boolean>;
    close(): void;
    private openDialog;
    static ɵfac: i0.ɵɵFactoryDeclaration<ContentTypePropertiesService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ContentTypePropertiesService>;
}
