import { AlfrescoApiService } from '@alfresco/adf-core';
import { Observable } from 'rxjs';
import { PropertyGroupContainer } from '../interfaces/content-metadata.interfaces';
import { ClassesApi } from '@alfresco/js-api';
import * as i0 from "@angular/core";
export declare class PropertyDescriptorsService {
    private alfrescoApiService;
    private _classesApi;
    get classesApi(): ClassesApi;
    constructor(alfrescoApiService: AlfrescoApiService);
    load(groupNames: string[]): Observable<PropertyGroupContainer>;
    private convertToObject;
    static ɵfac: i0.ɵɵFactoryDeclaration<PropertyDescriptorsService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<PropertyDescriptorsService>;
}
