/*!
 * @license
 * Copyright © 2005-2023 Hyland Software, Inc. and its affiliates. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { ModuleWithProviders } from '@angular/core';
import * as i0 from "@angular/core";
import * as i1 from "./content-node-share.dialog";
import * as i2 from "./content-node-share.directive";
import * as i3 from "@alfresco/adf-core";
import * as i4 from "@angular/common";
import * as i5 from "../material.module";
export declare class ContentNodeShareModule {
    static forRoot(): ModuleWithProviders<ContentNodeShareModule>;
    static forChild(): ModuleWithProviders<ContentNodeShareModule>;
    static ɵfac: i0.ɵɵFactoryDeclaration<ContentNodeShareModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<ContentNodeShareModule, [typeof i1.ShareDialogComponent, typeof i2.NodeSharedDirective], [typeof i3.CoreModule, typeof i4.CommonModule, typeof i5.MaterialModule], [typeof i1.ShareDialogComponent, typeof i2.NodeSharedDirective]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<ContentNodeShareModule>;
}
