/*!
 * @license
 * Copyright © 2005-2023 Hyland Software, Inc. and its affiliates. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
export declare const presetsDefaultModel: {
    '-trashcan-': ({
        key: string;
        type: string;
        srTitle: string;
        sortable: boolean;
        title?: undefined;
        cssClass?: undefined;
        format?: undefined;
    } | {
        key: string;
        type: string;
        title: string;
        cssClass: string;
        sortable: boolean;
        srTitle?: undefined;
        format?: undefined;
    } | {
        key: string;
        type: string;
        title: string;
        sortable: boolean;
        srTitle?: undefined;
        cssClass?: undefined;
        format?: undefined;
    } | {
        key: string;
        type: string;
        title: string;
        format: string;
        sortable: boolean;
        srTitle?: undefined;
        cssClass?: undefined;
    })[];
    '-sites-': ({
        key: string;
        type: string;
        srTitle: string;
        sortable: boolean;
        title?: undefined;
        cssClass?: undefined;
    } | {
        key: string;
        type: string;
        title: string;
        cssClass: string;
        sortable: boolean;
        srTitle?: undefined;
    } | {
        key: string;
        type: string;
        title: string;
        sortable: boolean;
        srTitle?: undefined;
        cssClass?: undefined;
    })[];
    '-mysites-': ({
        key: string;
        type: string;
        srTitle: string;
        sortable: boolean;
        title?: undefined;
        cssClass?: undefined;
    } | {
        key: string;
        type: string;
        title: string;
        cssClass: string;
        sortable: boolean;
        srTitle?: undefined;
    } | {
        key: string;
        type: string;
        title: string;
        sortable: boolean;
        srTitle?: undefined;
        cssClass?: undefined;
    })[];
    '-favorites-': ({
        key: string;
        type: string;
        srTitle: string;
        sortable: boolean;
        title?: undefined;
        cssClass?: undefined;
        format?: undefined;
    } | {
        key: string;
        type: string;
        title: string;
        cssClass: string;
        sortable: boolean;
        srTitle?: undefined;
        format?: undefined;
    } | {
        key: string;
        type: string;
        title: string;
        sortable: boolean;
        srTitle?: undefined;
        cssClass?: undefined;
        format?: undefined;
    } | {
        key: string;
        type: string;
        title: string;
        format: string;
        sortable: boolean;
        srTitle?: undefined;
        cssClass?: undefined;
    })[];
    '-recent-': ({
        key: string;
        type: string;
        srTitle: string;
        sortable: boolean;
        title?: undefined;
        cssClass?: undefined;
        format?: undefined;
    } | {
        key: string;
        type: string;
        title: string;
        cssClass: string;
        sortable: boolean;
        srTitle?: undefined;
        format?: undefined;
    } | {
        key: string;
        type: string;
        title: string;
        sortable: boolean;
        srTitle?: undefined;
        cssClass?: undefined;
        format?: undefined;
    } | {
        key: string;
        type: string;
        title: string;
        format: string;
        sortable: boolean;
        srTitle?: undefined;
        cssClass?: undefined;
    })[];
    '-sharedlinks-': ({
        key: string;
        type: string;
        srTitle: string;
        sortable: boolean;
        title?: undefined;
        cssClass?: undefined;
        format?: undefined;
    } | {
        key: string;
        type: string;
        title: string;
        cssClass: string;
        sortable: boolean;
        srTitle?: undefined;
        format?: undefined;
    } | {
        key: string;
        type: string;
        title: string;
        sortable: boolean;
        srTitle?: undefined;
        cssClass?: undefined;
        format?: undefined;
    } | {
        key: string;
        type: string;
        title: string;
        format: string;
        sortable: boolean;
        srTitle?: undefined;
        cssClass?: undefined;
    })[];
    default: ({
        key: string;
        type: string;
        srTitle: string;
        sortable: boolean;
        title?: undefined;
        cssClass?: undefined;
        format?: undefined;
    } | {
        key: string;
        type: string;
        title: string;
        cssClass: string;
        sortable: boolean;
        srTitle?: undefined;
        format?: undefined;
    } | {
        key: string;
        type: string;
        title: string;
        sortable: boolean;
        srTitle?: undefined;
        cssClass?: undefined;
        format?: undefined;
    } | {
        key: string;
        type: string;
        title: string;
        format: string;
        sortable: boolean;
        srTitle?: undefined;
        cssClass?: undefined;
    })[];
};
