import { MatDialogRef } from '@angular/material/dialog';
import { NodeEntry } from '@alfresco/js-api';
import { AddPermissionDialogData } from './add-permission-dialog-data.interface';
import { MemberModel } from '../../models/member.model';
import * as i0 from "@angular/core";
export declare class AddPermissionDialogComponent {
    data: AddPermissionDialogData;
    private dialogRef;
    isSearchActive: boolean;
    selectedMembers: MemberModel[];
    private existingMembers;
    currentSelection: NodeEntry[];
    constructor(data: AddPermissionDialogData, dialogRef: MatDialogRef<AddPermissionDialogComponent>);
    onSelect(items: NodeEntry[]): void;
    onAddClicked(): void;
    onSearchAddClicked(): void;
    canCloseDialog(): void;
    enableSearch(): void;
    disableSearch(): void;
    onBulkUpdate(role: string): void;
    onMemberDelete({ id }: MemberModel): void;
    onMemberUpdate(role: string, member: MemberModel): void;
    isValid(): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<AddPermissionDialogComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AddPermissionDialogComponent, "adf-add-permission-dialog", never, {}, {}, never, never, false>;
}
