import { NodeEntry } from '@alfresco/js-api';
import { EventEmitter } from '@angular/core';
import { UntypedFormControl } from '@angular/forms';
import { SearchComponent } from '../../../search/components/search.component';
import { MatSelectionList } from '@angular/material/list';
import * as i0 from "@angular/core";
export declare class AddPermissionPanelComponent {
    search: SearchComponent;
    matSelectionList: MatSelectionList;
    /** Emitted when a permission list item is selected. */
    select: EventEmitter<NodeEntry[]>;
    searchInput: UntypedFormControl;
    searchedWord: string;
    debounceSearch: number;
    selectedItems: NodeEntry[];
    EVERYONE: NodeEntry;
    constructor();
    onSelectionChange(): void;
    clearSearch(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AddPermissionPanelComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AddPermissionPanelComponent, "adf-add-permission-panel", never, {}, { "select": "select"; }, never, never, false>;
}
