/*!
 * @license
 * Copyright © 2005-2023 Hyland Software, Inc. and its affiliates. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { Type } from '@angular/core';
import * as i0 from "@angular/core";
export declare class SearchFilterService {
    /**
     * Contains string-to-type mappings for registered widgets.
     */
    widgets: {
        [id: string]: Type<any>;
    };
    static ɵfac: i0.ɵɵFactoryDeclaration<SearchFilterService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<SearchFilterService>;
}
