import { AlfrescoApiService, AppConfigService } from '@alfresco/adf-core';
import { SearchConfiguration } from '../models/search-configuration.interface';
import { BaseQueryBuilderService } from './base-query-builder.service';
import * as i0 from "@angular/core";
export declare class SearchQueryBuilderService extends BaseQueryBuilderService {
    isFilterServiceActive(): boolean;
    constructor(appConfig: AppConfigService, alfrescoApiService: AlfrescoApiService);
    loadConfiguration(): SearchConfiguration;
    static ɵfac: i0.ɵɵFactoryDeclaration<SearchQueryBuilderService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<SearchQueryBuilderService>;
}
