import { OnChanges, OnInit } from '@angular/core';
import { Node } from '@alfresco/js-api';
import { UploadButtonComponent } from './upload-button.component';
import { FileModel } from '../../common/models/file.model';
import * as i0 from "@angular/core";
export declare class UploadVersionButtonComponent extends UploadButtonComponent implements OnChanges, OnInit {
    /** (**Required**) The node to be versioned. */
    node: Node;
    protected createFileModel(file: File): FileModel;
    ngOnInit(): void;
    checkPermission(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<UploadVersionButtonComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<UploadVersionButtonComponent, "adf-upload-version-button", never, { "node": "node"; }, {}, never, never, false>;
}
