import { ReplaySubject } from 'rxjs';
import { VersionInfo } from '@alfresco/js-api';
import { DiscoveryApiService } from '../common/services/discovery-api.service';
import * as i0 from "@angular/core";
export declare class VersionCompatibilityService {
    private discoveryApiService;
    private acsVersion;
    acsVersionInitialized$: ReplaySubject<void>;
    constructor(discoveryApiService: DiscoveryApiService);
    private initializeAcsVersion;
    getAcsVersion(): VersionInfo;
    isVersionSupported(requiredVersion: string): boolean;
    private parseVersion;
    static ɵfac: i0.ɵɵFactoryDeclaration<VersionCompatibilityService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<VersionCompatibilityService>;
}
