import { DialogAspectListService } from './dialog-aspect-list.service';
import { CardViewContentUpdateService } from '../../common/services/card-view-content-update.service';
import { NodesApiService } from '../../common/services/nodes-api.service';
import { TagService } from '../../tag/services/tag.service';
import * as i0 from "@angular/core";
export declare class NodeAspectService {
    private nodesApiService;
    private dialogAspectListService;
    private cardViewContentUpdateService;
    private tagService;
    constructor(nodesApiService: NodesApiService, dialogAspectListService: DialogAspectListService, cardViewContentUpdateService: CardViewContentUpdateService, tagService: TagService);
    updateNodeAspects(nodeId: string, selectorAutoFocusedOnClose?: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NodeAspectService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<NodeAspectService>;
}
