import { TreeResponse, TreeService } from '../../tree';
import { CategoryNode } from '../models/category-node.interface';
import { CategoryService } from './category.service';
import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
export declare class CategoryTreeDatasourceService extends TreeService<CategoryNode> {
    private categoryService;
    constructor(categoryService: CategoryService);
    getSubNodes(parentNodeId: string, skipCount?: number, maxItems?: number, name?: string): Observable<TreeResponse<CategoryNode>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<CategoryTreeDatasourceService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<CategoryTreeDatasourceService>;
}
