import { DomSanitizer } from '@angular/platform-browser';
import * as i0 from "@angular/core";
export interface ConfirmDialogComponentProps {
    title?: string;
    message?: string;
    yesLabel?: string;
    thirdOptionLabel?: string;
    noLabel?: string;
    htmlContent?: string;
}
export declare class ConfirmDialogComponent {
    private sanitizer;
    title: string;
    message: string;
    yesLabel: string;
    noLabel: string;
    thirdOptionLabel: string;
    htmlContent: string;
    constructor(data: ConfirmDialogComponentProps, sanitizer: DomSanitizer);
    sanitizedHtmlContent(): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<ConfirmDialogComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ConfirmDialogComponent, "adf-confirm-dialog", never, {}, {}, never, never, false>;
}
