import { ContentActionModel } from './../../models/content-action.model';
import { DocumentListComponent } from './../document-list.component';
import * as i0 from "@angular/core";
export declare class ContentActionListComponent {
    private documentList;
    constructor(documentList: DocumentListComponent);
    /**
     * Registers action handler within the parent document list component.
     *
     * @param action Action model to register.
     * @returns `true` if actions was registered, otherwise `false`
     */
    registerAction(action: ContentActionModel): boolean;
    unregisterAction(action: ContentActionModel): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<ContentActionListComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ContentActionListComponent, "content-actions", never, {}, {}, never, never, false>;
}
