/*!
 * @license
 * Copyright © 2005-2023 Hyland Software, Inc. and its affiliates. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { OnInit } from '@angular/core';
import { NodeEntry } from '@alfresco/js-api';
import { ShareDataRow } from '../../data/share-data-row.model';
import * as i0 from "@angular/core";
export declare class TrashcanNameColumnComponent implements OnInit {
    context: any;
    isLibrary: boolean;
    displayText: string;
    displayTooltip: string;
    node: NodeEntry;
    ngOnInit(): void;
    makeLibraryTitle(library: any, rows: Array<ShareDataRow>): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<TrashcanNameColumnComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TrashcanNameColumnComponent, "adf-trashcan-name-column", never, { "context": "context"; }, {}, never, never, false>;
}
