import { Node } from '@alfresco/js-api';
import { AuthenticationService } from '@alfresco/adf-core';
import * as i0 from "@angular/core";
export declare class LockService {
    private authService;
    constructor(authService: AuthenticationService);
    isLocked(node: Node): boolean;
    private hasLockConfigured;
    private isReadOnlyLock;
    private isLockOwnerAllowed;
    private getLockExpiryTime;
    private isLockExpired;
    static ɵfac: i0.ɵɵFactoryDeclaration<LockService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<LockService>;
}
