import { SearchFilterComponent } from '../../components/search-filter/search-filter.component';
import { SearchFacetFiltersService } from '../../services/search-facet-filters.service';
import * as i0 from "@angular/core";
export declare class SearchChipListComponent {
    facetFiltersService: SearchFacetFiltersService;
    /**
     * Search filter to supply the data for the chips.
     * Not required from 4.5.0 and later versions @deprecated
     */
    searchFilter: SearchFilterComponent;
    /** Flag used to enable the display of a clear-all-filters button. */
    clearAll: boolean;
    constructor(facetFiltersService: SearchFacetFiltersService);
    static ɵfac: i0.ɵɵFactoryDeclaration<SearchChipListComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SearchChipListComponent, "adf-search-chip-list", never, { "searchFilter": "searchFilter"; "clearAll": "clearAll"; }, {}, never, never, false>;
}
