import { SearchQueryBuilderService } from '../../services/search-query-builder.service';
import { FacetFieldBucket } from '../../models/facet-field-bucket.interface';
import { FacetField } from '../../models/facet-field.interface';
import { SearchFacetFiltersService } from '../../services/search-facet-filters.service';
import * as i0 from "@angular/core";
export declare class SearchFilterComponent {
    queryBuilder: SearchQueryBuilderService;
    facetFiltersService: SearchFacetFiltersService;
    /** Toggles whether to show or not the context facet filters. */
    showContextFacets: boolean;
    facetQueriesLabel: string;
    facetExpanded: {
        default: boolean;
    };
    displayResetButton: boolean;
    constructor(queryBuilder: SearchQueryBuilderService, facetFiltersService: SearchFacetFiltersService);
    shouldExpand(field: FacetField): boolean;
    getBucketCountDisplay(bucket: FacetFieldBucket): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<SearchFilterComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SearchFilterComponent, "adf-search-filter", never, { "showContextFacets": "showContextFacets"; }, {}, never, never, false>;
}
